# CreditCardScanGuidanceConfiguration class

Configuration of the hints guiding users through the credit card scanning process.

## Constructors

CreditCardScanGuidanceConfiguration.new({bool visibility = true, StyledText? title, BackgroundStyle? background, CreditCardScannerGuidanceStates? statesTitles})
CreditCardScanGuidanceConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

background ↔ BackgroundStyle
  Configure the background style for the user guidance hints.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
statesTitles ↔ CreditCardScannerGuidanceStates
  Configure the captions of the user guidance hints for different states.
  getter/setter pair
title ↔ StyledText
  Configure the text style for the user guidance hints.
  getter/setter pair
visibility ↔ bool
  Determines whether the user guidance hints should be visible (enabled).
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited